Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3382)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3418)
@@ -4215,36 +5247,9 @@
 !
 !--              In order to distinguish between ground floor level and 
-!--              above-ground-floor level surfaces, set input indices. 
-                 ind_wall_frac    = MERGE( ind_wall_frac_gfl,    ind_wall_frac_agfl,    &
-                                           surf_usm_h%ground_level(m) )
-                 ind_win_frac     = MERGE( ind_win_frac_gfl,     ind_win_frac_agfl,     &
-                                           surf_usm_h%ground_level(m) )
-                 ind_green_frac_w = MERGE( ind_green_frac_w_gfl, ind_green_frac_w_agfl, &
-                                           surf_usm_h%ground_level(m) )
+!--              above-ground-floor level surfaces, set input indices.
+
                  ind_green_frac_r = MERGE( ind_green_frac_r_gfl, ind_green_frac_r_agfl, &
                                            surf_usm_h%ground_level(m) )
                  ind_lai_r        = MERGE( ind_lai_r_gfl,        ind_lai_r_agfl,        &
-                                           surf_usm_h%ground_level(m) )
-                 ind_lai_w        = MERGE( ind_lai_w_gfl,        ind_lai_w_agfl,        &
-                                           surf_usm_h%ground_level(m) )
-                 ind_hc1          = MERGE( ind_hc1_gfl,          ind_hc1_agfl,          &
-                                           surf_usm_h%ground_level(m) )
-                 ind_hc2          = MERGE( ind_hc2_gfl,          ind_hc2_agfl,          &
-                                           surf_usm_h%ground_level(m) )
-                 ind_hc3          = MERGE( ind_hc3_gfl,          ind_hc3_agfl,          &
-                                           surf_usm_h%ground_level(m) )
-                 ind_tc1          = MERGE( ind_tc1_gfl,          ind_tc1_agfl,          &
-                                           surf_usm_h%ground_level(m) )
-                 ind_tc2          = MERGE( ind_tc2_gfl,          ind_tc2_agfl,          &
-                                           surf_usm_h%ground_level(m) )
-                 ind_tc3          = MERGE( ind_tc3_gfl,          ind_tc3_agfl,          &
-                                           surf_usm_h%ground_level(m) )
-                 ind_emis_wall    = MERGE( ind_emis_wall_gfl,    ind_emis_wall_agfl,    &
-                                           surf_usm_h%ground_level(m) )
-                 ind_emis_green   = MERGE( ind_emis_green_gfl,   ind_emis_green_agfl,   &
-                                           surf_usm_h%ground_level(m) )
-                 ind_emis_win     = MERGE( ind_emis_win_gfl,     ind_emis_win_agfl,     &
-                                           surf_usm_h%ground_level(m) )
-                 ind_trans        = MERGE( ind_trans_gfl,        ind_trans_agfl,        &
                                            surf_usm_h%ground_level(m) )
                  ind_z0           = MERGE( ind_z0_gfl,           ind_z0_agfl,           &
@@ -4258,45 +5263,45 @@
 !
 !--              Initialize relatvie wall- (0), green- (1) and window (2) fractions
-                 surf_usm_h%frac(ind_veg_wall,m)  = building_pars(ind_wall_frac,st)   
+                 surf_usm_h%frac(ind_veg_wall,m)  = building_pars(ind_wall_frac_r,st)   
                  surf_usm_h%frac(ind_pav_green,m) = building_pars(ind_green_frac_r,st)  
-                 surf_usm_h%frac(ind_wat_win,m)   = building_pars(ind_win_frac,st)  
-                 surf_usm_h%lai(m)                = building_pars(ind_green_frac_r,st)  
-
-                 surf_usm_h%rho_c_wall(nzb_wall,m)   = building_pars(ind_hc1,st)  
-                 surf_usm_h%rho_c_wall(nzb_wall+1,m) = building_pars(ind_hc1,st)
-                 surf_usm_h%rho_c_wall(nzb_wall+2,m) = building_pars(ind_hc2,st)
-                 surf_usm_h%rho_c_wall(nzb_wall+3,m) = building_pars(ind_hc3,st)    
-                 surf_usm_h%lambda_h(nzb_wall,m)   = building_pars(ind_tc1,st)  
-                 surf_usm_h%lambda_h(nzb_wall+1,m) = building_pars(ind_tc1,st) 
-                 surf_usm_h%lambda_h(nzb_wall+2,m) = building_pars(ind_tc2,st)
-                 surf_usm_h%lambda_h(nzb_wall+3,m) = building_pars(ind_tc3,st)    
+                 surf_usm_h%frac(ind_wat_win,m)   = building_pars(ind_win_frac_r,st)  
+                 surf_usm_h%lai(m)                = building_pars(ind_lai_r,st)  
+
+                 surf_usm_h%rho_c_wall(nzb_wall,m)   = building_pars(ind_hc1_wall_r,st)  
+                 surf_usm_h%rho_c_wall(nzb_wall+1,m) = building_pars(ind_hc1_wall_r,st)
+                 surf_usm_h%rho_c_wall(nzb_wall+2,m) = building_pars(ind_hc2_wall_r,st)
+                 surf_usm_h%rho_c_wall(nzb_wall+3,m) = building_pars(ind_hc3_wall_r,st)    
+                 surf_usm_h%lambda_h(nzb_wall,m)   = building_pars(ind_tc1_wall_r,st)  
+                 surf_usm_h%lambda_h(nzb_wall+1,m) = building_pars(ind_tc1_wall_r,st) 
+                 surf_usm_h%lambda_h(nzb_wall+2,m) = building_pars(ind_tc2_wall_r,st)
+                 surf_usm_h%lambda_h(nzb_wall+3,m) = building_pars(ind_tc3_wall_r,st)    
                  
-                 surf_usm_h%rho_c_green(nzb_wall,m)   = building_pars(ind_hc1,st)  
-                 surf_usm_h%rho_c_green(nzb_wall+1,m) = building_pars(ind_hc1,st)
-                 surf_usm_h%rho_c_green(nzb_wall+2,m) = building_pars(ind_hc2,st)
-                 surf_usm_h%rho_c_green(nzb_wall+3,m) = building_pars(ind_hc3,st)    
-                 surf_usm_h%lambda_h_green(nzb_wall,m)   = building_pars(ind_tc1,st)  
-                 surf_usm_h%lambda_h_green(nzb_wall+1,m) = building_pars(ind_tc1,st) 
-                 surf_usm_h%lambda_h_green(nzb_wall+2,m) = building_pars(ind_tc2,st)
-                 surf_usm_h%lambda_h_green(nzb_wall+3,m) = building_pars(ind_tc3,st)    
+                 surf_usm_h%rho_c_green(nzb_wall,m)   = rho_c_soil !building_pars(ind_hc1_wall_r,st)  
+                 surf_usm_h%rho_c_green(nzb_wall+1,m) = rho_c_soil !building_pars(ind_hc1_wall_r,st)
+                 surf_usm_h%rho_c_green(nzb_wall+2,m) = rho_c_soil !building_pars(ind_hc2_wall_r,st)
+                 surf_usm_h%rho_c_green(nzb_wall+3,m) = rho_c_soil !building_pars(ind_hc3_wall_r,st)    
+                 surf_usm_h%lambda_h_green(nzb_wall,m)   = lambda_h_green_sm !building_pars(ind_tc1_wall_r,st)  
+                 surf_usm_h%lambda_h_green(nzb_wall+1,m) = lambda_h_green_sm !building_pars(ind_tc1_wall_r,st) 
+                 surf_usm_h%lambda_h_green(nzb_wall+2,m) = lambda_h_green_sm !building_pars(ind_tc2_wall_r,st)
+                 surf_usm_h%lambda_h_green(nzb_wall+3,m) = lambda_h_green_sm !building_pars(ind_tc3_wall_r,st)    
                 
-                 surf_usm_h%rho_c_window(nzb_wall,m)   = building_pars(ind_hc1,st)  
-                 surf_usm_h%rho_c_window(nzb_wall+1,m) = building_pars(ind_hc1,st)
-                 surf_usm_h%rho_c_window(nzb_wall+2,m) = building_pars(ind_hc2,st)
-                 surf_usm_h%rho_c_window(nzb_wall+3,m) = building_pars(ind_hc3,st)    
-                 surf_usm_h%lambda_h_window(nzb_wall,m)   = building_pars(ind_tc1,st)  
-                 surf_usm_h%lambda_h_window(nzb_wall+1,m) = building_pars(ind_tc1,st) 
-                 surf_usm_h%lambda_h_window(nzb_wall+2,m) = building_pars(ind_tc2,st)
-                 surf_usm_h%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3,st)    
-
-                 surf_usm_h%target_temp_summer(m)  = building_pars(12,st)    
-                 surf_usm_h%target_temp_winter(m)  = building_pars(13,st)    
+                 surf_usm_h%rho_c_window(nzb_wall,m)   = building_pars(ind_hc1_win_r,st)  
+                 surf_usm_h%rho_c_window(nzb_wall+1,m) = building_pars(ind_hc1_win_r,st)
+                 surf_usm_h%rho_c_window(nzb_wall+2,m) = building_pars(ind_hc2_win_r,st)
+                 surf_usm_h%rho_c_window(nzb_wall+3,m) = building_pars(ind_hc3_win_r,st)    
+                 surf_usm_h%lambda_h_window(nzb_wall,m)   = building_pars(ind_tc1_win_r,st)  
+                 surf_usm_h%lambda_h_window(nzb_wall+1,m) = building_pars(ind_tc1_win_r,st) 
+                 surf_usm_h%lambda_h_window(nzb_wall+2,m) = building_pars(ind_tc2_win_r,st)
+                 surf_usm_h%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3_win_r,st)    
+
+                 surf_usm_h%target_temp_summer(m)  = building_pars(117,st)    
+                 surf_usm_h%target_temp_winter(m)  = building_pars(118,st)    
 !
 !--              emissivity of wall-, green- and window fraction 
-                 surf_usm_h%emissivity(ind_veg_wall,m)  = building_pars(ind_emis_wall,st)
-                 surf_usm_h%emissivity(ind_pav_green,m) = building_pars(ind_emis_green,st)
-                 surf_usm_h%emissivity(ind_wat_win,m)   = building_pars(ind_emis_win,st)
-
-                 surf_usm_h%transmissivity(m)      = building_pars(ind_trans,st)
+                 surf_usm_h%emissivity(ind_veg_wall,m)  = building_pars(ind_emis_wall_r,st)
+                 surf_usm_h%emissivity(ind_pav_green,m) = building_pars(ind_emis_green_r,st)
+                 surf_usm_h%emissivity(ind_wat_win,m)   = building_pars(ind_emis_win_r,st)
+
+                 surf_usm_h%transmissivity(m)      = building_pars(ind_trans_r,st)
 
                  surf_usm_h%z0(m)                  = building_pars(ind_z0,st)
@@ -4305,29 +5310,31 @@
 !
 !--              albedo type for wall fraction, green fraction, window fraction
-                 surf_usm_h%albedo_type(ind_veg_wall,m)  = INT( building_pars(ind_alb_wall,st) )
-                 surf_usm_h%albedo_type(ind_pav_green,m) = INT( building_pars(ind_alb_green,st) )
-                 surf_usm_h%albedo_type(ind_wat_win,m)   = INT( building_pars(ind_alb_win,st) )
-
-                 surf_usm_h%zw(nzb_wall,m)         = building_pars(ind_thick_1,st)
-                 surf_usm_h%zw(nzb_wall+1,m)       = building_pars(ind_thick_2,st)
-                 surf_usm_h%zw(nzb_wall+2,m)       = building_pars(ind_thick_3,st)
-                 surf_usm_h%zw(nzb_wall+3,m)       = building_pars(ind_thick_4,st)
+                 surf_usm_h%albedo_type(ind_veg_wall,m)  = INT( building_pars(ind_alb_wall_r,st) )
+                 surf_usm_h%albedo_type(ind_pav_green,m) = INT( building_pars(ind_alb_green_r,st) )
+                 surf_usm_h%albedo_type(ind_wat_win,m)   = INT( building_pars(ind_alb_win_r,st) )
+
+                 surf_usm_h%zw(nzb_wall,m)         = building_pars(ind_thick_1_wall_r,st)
+                 surf_usm_h%zw(nzb_wall+1,m)       = building_pars(ind_thick_2_wall_r,st)
+                 surf_usm_h%zw(nzb_wall+2,m)       = building_pars(ind_thick_3_wall_r,st)
+                 surf_usm_h%zw(nzb_wall+3,m)       = building_pars(ind_thick_4_wall_r,st)
                  
-                 surf_usm_h%zw_green(nzb_wall,m)         = building_pars(ind_thick_1,st)
-                 surf_usm_h%zw_green(nzb_wall+1,m)       = building_pars(ind_thick_2,st)
-                 surf_usm_h%zw_green(nzb_wall+2,m)       = building_pars(ind_thick_3,st)
-                 surf_usm_h%zw_green(nzb_wall+3,m)       = building_pars(ind_thick_4,st)
-
-                 surf_usm_h%zw_window(nzb_wall,m)         = building_pars(ind_thick_1,st)
-                 surf_usm_h%zw_window(nzb_wall+1,m)       = building_pars(ind_thick_2,st)
-                 surf_usm_h%zw_window(nzb_wall+2,m)       = building_pars(ind_thick_3,st)
-                 surf_usm_h%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4,st)
-
-                 surf_usm_h%c_surface(m)           = building_pars(45,st)  
-                 surf_usm_h%lambda_surf(m)         = building_pars(46,st)
-                 surf_usm_h%c_surface_green(m)     = building_pars(45,st)  
-                 surf_usm_h%lambda_surf_green(m)   = building_pars(46,st)
-                 surf_usm_h%c_surface_window(m)    = building_pars(45,st)  
-                 surf_usm_h%lambda_surf_window(m)  = building_pars(46,st)
+                 surf_usm_h%zw_green(nzb_wall,m)         = building_pars(ind_thick_1_wall_r,st)
+                 surf_usm_h%zw_green(nzb_wall+1,m)       = building_pars(ind_thick_2_wall_r,st)
+                 surf_usm_h%zw_green(nzb_wall+2,m)       = building_pars(ind_thick_3_wall_r,st)
+                 surf_usm_h%zw_green(nzb_wall+3,m)       = building_pars(ind_thick_4_wall_r,st)
+
+                 surf_usm_h%zw_window(nzb_wall,m)         = building_pars(ind_thick_1_win_r,st)
+                 surf_usm_h%zw_window(nzb_wall+1,m)       = building_pars(ind_thick_2_win_r,st)
+                 surf_usm_h%zw_window(nzb_wall+2,m)       = building_pars(ind_thick_3_win_r,st)
+                 surf_usm_h%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4_win_r,st)
+
+                 surf_usm_h%c_surface(m)           = building_pars(0,st)  
+                 surf_usm_h%lambda_surf(m)         = building_pars(3,st)
+                 surf_usm_h%c_surface_green(m)     = building_pars(2,st)  
+                 surf_usm_h%lambda_surf_green(m)   = building_pars(5,st)
+                 surf_usm_h%c_surface_window(m)    = building_pars(1,st)  
+                 surf_usm_h%lambda_surf_window(m)  = building_pars(4,st)
+                 
+                 surf_usm_h%green_type_roof(m)     = building_pars(ind_green_type_roof,st)
 
               ENDIF
@@ -4346,5 +5353,11 @@
 !
 !--                 In order to distinguish between ground floor level and 
-!--                 above-ground-floor level surfaces, set input indices. 
+!--                 above-ground-floor level surfaces, set input indices.
+                    ind_alb_green    = MERGE( ind_alb_green_gfl,    ind_alb_green_agfl,    &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_alb_wall     = MERGE( ind_alb_wall_gfl,     ind_alb_wall_agfl,     &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_alb_win      = MERGE( ind_alb_win_gfl,      ind_alb_win_agfl,      &
+                                              surf_usm_v(l)%ground_level(m) )
                     ind_wall_frac    = MERGE( ind_wall_frac_gfl,    ind_wall_frac_agfl,    &
                                               surf_usm_v(l)%ground_level(m) )
@@ -4361,13 +5374,41 @@
                     ind_hc1          = MERGE( ind_hc1_gfl,          ind_hc1_agfl,          &
                                               surf_usm_v(l)%ground_level(m) )
+                    ind_hc1_win      = MERGE( ind_hc1_win_gfl,      ind_hc1_win_agfl,      &
+                                              surf_usm_v(l)%ground_level(m) )
                     ind_hc2          = MERGE( ind_hc2_gfl,          ind_hc2_agfl,          &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_hc2_win      = MERGE( ind_hc2_win_gfl,      ind_hc2_win_agfl,      &
                                               surf_usm_v(l)%ground_level(m) )
                     ind_hc3          = MERGE( ind_hc3_gfl,          ind_hc3_agfl,          &
                                               surf_usm_v(l)%ground_level(m) )
+                    ind_hc3_win      = MERGE( ind_hc3_win_gfl,      ind_hc3_win_agfl,      &
+                                              surf_usm_v(l)%ground_level(m) )
                     ind_tc1          = MERGE( ind_tc1_gfl,          ind_tc1_agfl,          &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_tc1_win      = MERGE( ind_tc1_win_gfl,      ind_tc1_win_agfl,      &
                                               surf_usm_v(l)%ground_level(m) )
                     ind_tc2          = MERGE( ind_tc2_gfl,          ind_tc2_agfl,          &
                                               surf_usm_v(l)%ground_level(m) )
+                    ind_tc2_win      = MERGE( ind_tc2_win_gfl,      ind_tc2_win_agfl,      &
+                                              surf_usm_v(l)%ground_level(m) )
                     ind_tc3          = MERGE( ind_tc3_gfl,          ind_tc3_agfl,          &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_tc3_win      = MERGE( ind_tc3_win_gfl,      ind_tc3_win_agfl,      &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_thick_1      = MERGE( ind_thick_1_gfl,      ind_thick_1_agfl,      &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_thick_1_win  = MERGE( ind_thick_1_win_gfl,  ind_thick_1_win_agfl,  &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_thick_2      = MERGE( ind_thick_2_gfl,      ind_thick_2_agfl,      &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_thick_2_win  = MERGE( ind_thick_2_win_gfl,  ind_thick_2_win_agfl,  &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_thick_3      = MERGE( ind_thick_3_gfl,      ind_thick_3_agfl,      &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_thick_3_win  = MERGE( ind_thick_3_win_gfl,  ind_thick_3_win_agfl,  &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_thick_4      = MERGE( ind_thick_4_gfl,      ind_thick_4_agfl,      &
+                                              surf_usm_v(l)%ground_level(m) )
+                    ind_thick_4_win  = MERGE( ind_thick_4_win_gfl,  ind_thick_4_win_agfl,  &
                                               surf_usm_v(l)%ground_level(m) )
                     ind_emis_wall    = MERGE( ind_emis_wall_gfl,    ind_emis_wall_agfl,    &
@@ -4378,5 +5419,5 @@
                                               surf_usm_v(l)%ground_level(m) )
                     ind_trans        = MERGE( ind_trans_gfl,       ind_trans_agfl,         &
-                                        surf_usm_v(l)%ground_level(m) )
+                                            surf_usm_v(l)%ground_level(m) )
                     ind_z0           = MERGE( ind_z0_gfl,           ind_z0_agfl,           &
                                               surf_usm_v(l)%ground_level(m) )
@@ -4399,13 +5440,13 @@
                     surf_usm_v(l)%rho_c_wall(nzb_wall+3,m) = building_pars(ind_hc3,st)
                     
-                    surf_usm_v(l)%rho_c_green(nzb_wall,m)   = building_pars(ind_hc1,st)  
-                    surf_usm_v(l)%rho_c_green(nzb_wall+1,m) = building_pars(ind_hc1,st)
-                    surf_usm_v(l)%rho_c_green(nzb_wall+2,m) = building_pars(ind_hc2,st)
-                    surf_usm_v(l)%rho_c_green(nzb_wall+3,m) = building_pars(ind_hc3,st)
+                    surf_usm_v(l)%rho_c_green(nzb_wall,m)   = rho_c_soil !building_pars(ind_hc1,st)  
+                    surf_usm_v(l)%rho_c_green(nzb_wall+1,m) = rho_c_soil !building_pars(ind_hc1,st)
+                    surf_usm_v(l)%rho_c_green(nzb_wall+2,m) = rho_c_soil !building_pars(ind_hc2,st)
+                    surf_usm_v(l)%rho_c_green(nzb_wall+3,m) = rho_c_soil !building_pars(ind_hc3,st)
                     
-                    surf_usm_v(l)%rho_c_window(nzb_wall,m)   = building_pars(ind_hc1,st)  
-                    surf_usm_v(l)%rho_c_window(nzb_wall+1,m) = building_pars(ind_hc1,st)
-                    surf_usm_v(l)%rho_c_window(nzb_wall+2,m) = building_pars(ind_hc2,st)
-                    surf_usm_v(l)%rho_c_window(nzb_wall+3,m) = building_pars(ind_hc3,st)
+                    surf_usm_v(l)%rho_c_window(nzb_wall,m)   = building_pars(ind_hc1_win,st)  
+                    surf_usm_v(l)%rho_c_window(nzb_wall+1,m) = building_pars(ind_hc1_win,st)
+                    surf_usm_v(l)%rho_c_window(nzb_wall+2,m) = building_pars(ind_hc2_win,st)
+                    surf_usm_v(l)%rho_c_window(nzb_wall+3,m) = building_pars(ind_hc3_win,st)
 
                     surf_usm_v(l)%lambda_h(nzb_wall,m)   = building_pars(ind_tc1,st)  
@@ -4414,16 +5455,16 @@
                     surf_usm_v(l)%lambda_h(nzb_wall+3,m) = building_pars(ind_tc3,st) 
                     
-                    surf_usm_v(l)%lambda_h_green(nzb_wall,m)   = building_pars(ind_tc1,st)  
-                    surf_usm_v(l)%lambda_h_green(nzb_wall+1,m) = building_pars(ind_tc1,st) 
-                    surf_usm_v(l)%lambda_h_green(nzb_wall+2,m) = building_pars(ind_tc2,st)
-                    surf_usm_v(l)%lambda_h_green(nzb_wall+3,m) = building_pars(ind_tc3,st) 
+                    surf_usm_v(l)%lambda_h_green(nzb_wall,m)   = lambda_h_green_sm !building_pars(ind_tc1,st)  
+                    surf_usm_v(l)%lambda_h_green(nzb_wall+1,m) = lambda_h_green_sm !building_pars(ind_tc1,st) 
+                    surf_usm_v(l)%lambda_h_green(nzb_wall+2,m) = lambda_h_green_sm !building_pars(ind_tc2,st)
+                    surf_usm_v(l)%lambda_h_green(nzb_wall+3,m) = lambda_h_green_sm !building_pars(ind_tc3,st) 
                     
-                    surf_usm_v(l)%lambda_h_window(nzb_wall,m)   = building_pars(ind_tc1,st)  
-                    surf_usm_v(l)%lambda_h_window(nzb_wall+1,m) = building_pars(ind_tc1,st) 
-                    surf_usm_v(l)%lambda_h_window(nzb_wall+2,m) = building_pars(ind_tc2,st)
-                    surf_usm_v(l)%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3,st) 
-
-                    surf_usm_v(l)%target_temp_summer(m)  = building_pars(12,st)    
-                    surf_usm_v(l)%target_temp_winter(m)  = building_pars(13,st)    
+                    surf_usm_v(l)%lambda_h_window(nzb_wall,m)   = building_pars(ind_tc1_win,st)  
+                    surf_usm_v(l)%lambda_h_window(nzb_wall+1,m) = building_pars(ind_tc1_win,st) 
+                    surf_usm_v(l)%lambda_h_window(nzb_wall+2,m) = building_pars(ind_tc2_win,st)
+                    surf_usm_v(l)%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3_win,st) 
+
+                    surf_usm_v(l)%target_temp_summer(m)  = building_pars(117,st)    
+                    surf_usm_v(l)%target_temp_winter(m)  = building_pars(118,st)    
 !
 !--                 emissivity of wall-, green- and window fraction 
@@ -4452,15 +5493,15 @@
                     surf_usm_v(l)%zw_green(nzb_wall+3,m)       = building_pars(ind_thick_4,st)
                     
-                    surf_usm_v(l)%zw_window(nzb_wall,m)         = building_pars(ind_thick_1,st)
-                    surf_usm_v(l)%zw_window(nzb_wall+1,m)       = building_pars(ind_thick_2,st)
-                    surf_usm_v(l)%zw_window(nzb_wall+2,m)       = building_pars(ind_thick_3,st)
-                    surf_usm_v(l)%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4,st)
-
-                    surf_usm_v(l)%c_surface(m)           = building_pars(45,st)  
-                    surf_usm_v(l)%lambda_surf(m)         = building_pars(46,st) 
-                    surf_usm_v(l)%c_surface_green(m)     = building_pars(45,st)  
-                    surf_usm_v(l)%lambda_surf_green(m)   = building_pars(46,st) 
-                    surf_usm_v(l)%c_surface_window(m)    = building_pars(45,st)  
-                    surf_usm_v(l)%lambda_surf_window(m)  = building_pars(46,st) 
+                    surf_usm_v(l)%zw_window(nzb_wall,m)         = building_pars(ind_thick_1_win,st)
+                    surf_usm_v(l)%zw_window(nzb_wall+1,m)       = building_pars(ind_thick_2_win,st)
+                    surf_usm_v(l)%zw_window(nzb_wall+2,m)       = building_pars(ind_thick_3_win,st)
+                    surf_usm_v(l)%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4_win,st)
+
+                    surf_usm_v(l)%c_surface(m)           = building_pars(0,st)  
+                    surf_usm_v(l)%lambda_surf(m)         = building_pars(3,st) 
+                    surf_usm_v(l)%c_surface_green(m)     = building_pars(2,st)  
+                    surf_usm_v(l)%lambda_surf_green(m)   = building_pars(5,st) 
+                    surf_usm_v(l)%c_surface_window(m)    = building_pars(1,st)  
+                    surf_usm_v(l)%lambda_surf_window(m)  = building_pars(4,st) 
 
 
@@ -4479,36 +5520,8 @@
 !
 !--           In order to distinguish between ground floor level and 
-!--           above-ground-floor level surfaces, set input indices. 
-              ind_wall_frac    = MERGE( ind_wall_frac_gfl,    ind_wall_frac_agfl,    &
-                                        surf_usm_h%ground_level(m) )
-              ind_win_frac     = MERGE( ind_win_frac_gfl,     ind_win_frac_agfl,     &
-                                        surf_usm_h%ground_level(m) )
-              ind_green_frac_w = MERGE( ind_green_frac_w_gfl, ind_green_frac_w_agfl, &
-                                        surf_usm_h%ground_level(m) )
+!--           above-ground-floor level surfaces, set input indices.
               ind_green_frac_r = MERGE( ind_green_frac_r_gfl, ind_green_frac_r_agfl, &
                                         surf_usm_h%ground_level(m) )
               ind_lai_r        = MERGE( ind_lai_r_gfl,        ind_lai_r_agfl,        &
-                                        surf_usm_h%ground_level(m) )
-              ind_lai_w        = MERGE( ind_lai_w_gfl,        ind_lai_w_agfl,        &
-                                        surf_usm_h%ground_level(m) )
-              ind_hc1          = MERGE( ind_hc1_gfl,          ind_hc1_agfl,          &
-                                        surf_usm_h%ground_level(m) )
-              ind_hc2          = MERGE( ind_hc2_gfl,          ind_hc2_agfl,          &
-                                        surf_usm_h%ground_level(m) )
-              ind_hc3          = MERGE( ind_hc3_gfl,          ind_hc3_agfl,          &
-                                        surf_usm_h%ground_level(m) )
-              ind_tc1          = MERGE( ind_tc1_gfl,          ind_tc1_agfl,          &
-                                        surf_usm_h%ground_level(m) )
-              ind_tc2          = MERGE( ind_tc2_gfl,          ind_tc2_agfl,          &
-                                        surf_usm_h%ground_level(m) )
-              ind_tc3          = MERGE( ind_tc3_gfl,          ind_tc3_agfl,          &
-                                        surf_usm_h%ground_level(m) )
-              ind_emis_wall    = MERGE( ind_emis_wall_gfl,    ind_emis_wall_agfl,    &
-                                        surf_usm_h%ground_level(m) )
-              ind_emis_green   = MERGE( ind_emis_green_gfl,   ind_emis_green_agfl,   &
-                                        surf_usm_h%ground_level(m) )
-              ind_emis_win     = MERGE( ind_emis_win_gfl,     ind_emis_win_agfl,     &
-                                        surf_usm_h%ground_level(m) )
-              ind_trans        = MERGE( ind_trans_gfl,        ind_trans_agfl,        &
                                         surf_usm_h%ground_level(m) )
               ind_z0           = MERGE( ind_z0_gfl,           ind_z0_agfl,           &
@@ -4519,10 +5532,10 @@
 !
 !--           Initialize relatvie wall- (0), green- (1) and window (2) fractions
-              IF ( building_pars_f%pars_xy(ind_wall_frac,j,i) /= building_pars_f%fill )    &
-                 surf_usm_h%frac(ind_veg_wall,m)  = building_pars_f%pars_xy(ind_wall_frac,j,i)   
+              IF ( building_pars_f%pars_xy(ind_wall_frac_r,j,i) /= building_pars_f%fill )    &
+                 surf_usm_h%frac(ind_veg_wall,m)  = building_pars_f%pars_xy(ind_wall_frac_r,j,i)   
               IF ( building_pars_f%pars_xy(ind_green_frac_r,j,i) /= building_pars_f%fill ) & 
                  surf_usm_h%frac(ind_pav_green,m) = building_pars_f%pars_xy(ind_green_frac_r,j,i) 
-              IF ( building_pars_f%pars_xy(ind_win_frac,j,i) /= building_pars_f%fill )     & 
-                 surf_usm_h%frac(ind_wat_win,m)   = building_pars_f%pars_xy(ind_win_frac,j,i)
+              IF ( building_pars_f%pars_xy(ind_win_frac_r,j,i) /= building_pars_f%fill )     & 
+                 surf_usm_h%frac(ind_wat_win,m)   = building_pars_f%pars_xy(ind_win_frac_r,j,i)
 
  
